﻿// ***************************************************************************
//					(C) Copyright OMRON CORPORATION 2005-2007
//							All Rights Reserved
// ---------------------------------------------------------------------------
//							Procitem for FZ Series
// ***************************************************************************
// Filename    : AssignProc.cpp
// Description : Procedure on assingning unit
// ***************************************************************************

// *************************************
//         include files
// *************************************

#include	"StdAfx.h"
#include	<FZ-Include.h>
#include	"ItemDefs.h"

// *************************************
//         macro definition
// *************************************

// *************************************
//         external declaration
// *************************************

// *************************************
//         static variable
// *************************************

// *************************************
//         external variable
// *************************************

// *************************************
//         function reference
// *************************************

// ***************************************************************************
// title         : Procedure on assigning unit
// function name : int AssignProc(ptrProcUnit)
// parameters    : ProcUnit *ptrProcUnit;	Pointer to processing unit
// return value  : Error code
//					NORMAL(0) : exit normally
//					else      : error exit
// ***************************************************************************

int CLASSNAME::AssignProc(ProcUnit *ptrProcUnit)
{
	for (int i = 0; i < 8; i++) {
		if (NORMAL != ptrProcUnit->AssignInnerUnit(i,  _T("EdgePosition"))) {
			return -1;
		}
	}

	for (int i = 0; i < 8; i++) {
		ProcUnit *targetUnit = ptrProcUnit->GetInnerUnit(i);
		ANYTYPE data;
		data.SetVal((int)1);
		targetUnit->SetUnitData(_T("overallJudge"), &data);
	}

	SETUPDATA *ptrSetupData = ptrProcUnit->GetSetupData();
	MEASUREDATA *ptrMeasureData = ptrProcUnit->GetMeasureData();

	for(int i = 0; i < 8; i++)
	{
		ptrMeasureData->coPos[i].x = 0;
		ptrMeasureData->coPos[i].y = 0;
	}

	return(NORMAL);
}

// ***************************************************************************
// title         : Procedure on deleting unit
// function name : int DeleteProc(ptrProcUnit)
// parameters    : ProcUnit *ptrProcUnit;	Pointer to processing unit
// return value  : Error code
//					NORMAL(0) : exit normally
//					else      : error exit
// ***************************************************************************

int CLASSNAME::DeleteProc(ProcUnit *ptrProcUnit)
{
	return(NORMAL);
}

// ***************************************************************************
// title         : Processing for unit copy
// function name : int CopyProc(ptrProcUnit, ptrSrcProcUnit)
// parameters    : ProcUnit *ptrProcUnit;		Pointer to processing unit
//				   ProcUnit *ptrSrcProcUnit;	Pointer to source unit
// return value  : Error code
//					NORMAL(0) : exit normally
//					else      : error exit
// ***************************************************************************

int CLASSNAME::CopyProc(ProcUnit *ptrProcUnit, ProcUnit *ptrSrcProcUnit)
{
	return(NORMAL);
}

