﻿// ***************************************************************************
//					(C) Copyright OMRON CORPORATION 2005-2007
//							All Rights Reserved
// ---------------------------------------------------------------------------
//							Procitem for FZ Series
// ***************************************************************************
// Filename    : ItemDefs.h
// Description : Definition of procitem
// ***************************************************************************

// *************************************
//         include files
// *************************************

//#pragma		warning(push)
//#pragma		warning(disable:4819)
//#include	<HalconCpp.h>
//#pragma		warning(pop)
//using 		namespace Halcon;

// *************************************
//         macro definition
// *************************************

// definition of ProcItem class

#define	CLASSNAME	InheritedProcItem

class CLASSNAME : public ProcItem {
public:
	CLASSNAME(void);
	~CLASSNAME(void);

	virtual int		AssignProc(ProcUnit *ptrProcUnit);
	virtual int		DeleteProc(ProcUnit *ptrProcUnit);
	virtual int		CopyProc(ProcUnit *ptrProcUnit, ProcUnit *ptrSrcProcUnit);
	virtual int		MeasureInit(ProcUnit *ptrProcUnit);
	virtual int		MeasureEnd(ProcUnit *ptrProcUnit);
	virtual int		MeasureProc(ProcUnit *ptrProcUnit);
	virtual int		MeasureOut(ProcUnit *ptrProcUnit);
	virtual int		MeasureDispI(ProcUnit *ptrProcUnit, int subNo, ImageWindow *ptrImageWindow);
	virtual int		MeasureDispG(ProcUnit *ptrProcUnit, int subNo, ImageWindow *ptrImageWindow);
	virtual int		MeasureDispT(ProcUnit *ptrProcUnit, int subNo, TextWindow *ptrTextWindow);
	virtual int		ThroughProc(ProcUnit *ptrProcUnit);
	virtual int		RenumProc(ProcUnit *ptrProcUnit, RenumInfo *ptrRenumInfo);
	virtual int		SaveProc(ProcUnit *ptrProcUnit, SaveInfo *ptrSaveInfo);
	virtual int		LoadProc(ProcUnit *ptrProcUnit, LoadInfo *ptrLoadInfo);
	virtual int		LoadSetupData(ProcUnit *ptrProcUnit, void *loadAddress, int loadSize);
	virtual int		SetupDisp(ProcUnit *ptrProcUnit, int subNo, ImageWindow *ptrImageWindow);
	virtual int		FigureUpdate(ProcUnit *ptrProcUnit, int figureNo);
	virtual int		SetUnitData(ProcUnit *ptrProcUnit, int dataNo, ANYTYPE *data);
	virtual int		SetUnitData(ProcUnit *ptrProcUnit, TCHAR *dataIdent, ANYTYPE *data);
	virtual int		GetUnitData(ProcUnit *ptrProcUnit, int dataNo, ANYTYPE *data);
	virtual int		GetUnitData(ProcUnit *ptrProcUnit, TCHAR *dataIdent, ANYTYPE *data);
	virtual int		SetFigureType(ProcUnit *ptrProcUnit, int figureNo, int type);
	virtual int		GetFigureType(ProcUnit *ptrProcUnit, int figureNo);
	virtual int		SetFigureData(ProcUnit *ptrProcUnit, int figureNo, FIG_HEADER *figure);
	virtual int		AddFigureData(ProcUnit *ptrProcUnit, int figureNo, FIG_TYPE *type, void *data);
	virtual FIG_HEADER	*GetFigureData(ProcUnit *ptrProcUnit, int figureNo);
};

// definitaion of setting data
typedef struct _Coordinate{
	double x;
	double y;
}Coordinate;

struct SETUPDATA {
};

// definition of mesaure data

struct MEASUREDATA {

	int	judgeInnerUnit[8];
	Coordinate coPos[8];
};

