﻿// ***************************************************************************
//					(C) Copyright OMRON CORPORATION 2005-2007
//							All Rights Reserved
// ---------------------------------------------------------------------------
//							Procitem for FZ Series
// ***************************************************************************
// Filename    : MeasureInit.cpp
// Description : Procedure on preparing and ending measurement
// ***************************************************************************

// *************************************
//         include files
// *************************************

#include	"StdAfx.h"
#include	<FZ-Include.h>
#include	"ItemDefs.h"

// *************************************
//         macro definition
// *************************************

// *************************************
//         external declaration
// *************************************

// *************************************
//         static variable
// *************************************

// *************************************
//         external variable
// *************************************

// *************************************
//         function reference
// *************************************

// ***************************************************************************
// title         : Prepare for measurement
// function name : int MeasureInit(ptrProcUnit)
// parameters    : ProcUnit *ptrProcUnit;	Pointer to processing unit
// return value  : Error code
//					NORMAL(0) : exit normally
//					else      : error exit
// ***************************************************************************

int CLASSNAME::MeasureInit(ProcUnit *ptrProcUnit)
{
	for (int i = 0; i < 8; i++) {
		if (ptrProcUnit->CheckInnerUnit(i) != TRUE) {
			return -1;
		}
		ProcUnit *ptrInnerUnit = ptrProcUnit->GetInnerUnit(i);

		//if (ptrInnerUnit->MeasureInit() != NORMAL) {
		//	return -1;
		//}
	}
	return(NORMAL);
}

// ***************************************************************************
// title         : End measurement
// function name : int MeasureEnd(ptrProcUnit)
// parameters    : ProcUnit *ptrProcUnit;	Pointer to processing unit
// return value  : Error code
//					NORMAL(0) : exit normally
//					else      : error exit
// ***************************************************************************

int CLASSNAME::MeasureEnd(ProcUnit *ptrProcUnit)
{
	for (int i = 0; i < 8; i++) {
		if (ptrProcUnit->CheckInnerUnit(i) != TRUE) {
			return -1;
		}
		ProcUnit *ptrInnerUnit = ptrProcUnit->GetInnerUnit(i);

		if (ptrInnerUnit->MeasureEnd() != NORMAL) {
			return -1;
		}
	}
	return(NORMAL);
}

