﻿// ***************************************************************************
//					(C) Copyright OMRON CORPORATION 2005-2007
//							All Rights Reserved
// ---------------------------------------------------------------------------
//							Procitem for FZ Series
// ***************************************************************************
// Filename    : MeasureProc.cpp
// Description : Measurement procedure
// ***************************************************************************

// *************************************
//         include files
// *************************************

#include	"StdAfx.h"
#include	<FZ-Include.h>
#include	"ItemDefs.h"

// *************************************
//         macro definition
// *************************************

// *************************************
//         external declaration
// *************************************

// *************************************
//         static variable
// *************************************

// *************************************
//         external variable
// *************************************

// *************************************
//         function reference
// *************************************

// ***************************************************************************
// title         : Measurement procedure
// function name : int MeasureProc(ptrProcUnit)
// parameters    : ProcUnit *ptrProcUnit;	Pointer to processing unit
// return value  : Error code
//					NORMAL(0) : exit normally
//					else      : error exit
// ***************************************************************************

int CLASSNAME::MeasureProc(ProcUnit *ptrProcUnit)
{
	int	judge = JUDGE_OK;

	SETUPDATA *ptrSetupData = ptrProcUnit->GetSetupData();
	MEASUREDATA *ptrMeasureData = ptrProcUnit->GetMeasureData();

	int meascount = 0;
	for (int i = 0; i < 8; i++) {
		ProcUnit *targetUnit = ptrProcUnit->GetInnerUnit(i);
		FIG_HEADER *figData = targetUnit->GetFigureData(0);

		if (figData == NULL) {	// model is not registered
			targetUnit->SetUnitJudge(JUDGE_NC, FALSE);			
		} else {
			targetUnit->MeasureProc();
			meascount++;
		}

		ptrMeasureData->judgeInnerUnit[i] = targetUnit->GetUnitJudge();
		if (ptrMeasureData->judgeInnerUnit[i] != JUDGE_OK && 
			ptrMeasureData->judgeInnerUnit[i] != JUDGE_NC) {
			judge = ptrMeasureData->judgeInnerUnit[i];
		}
	}
	if (meascount == 0) {
		judge = JUDGE_NG;
	}

	ptrProcUnit->SetUnitJudge(judge, FALSE);

	return(NORMAL);
}

