﻿// ***************************************************************************
//					(C) Copyright OMRON CORPORATION 2005-2007
//							All Rights Reserved
// ---------------------------------------------------------------------------
//							Procitem for FZ Series
// ***************************************************************************
// Filename    : SetupDisp.cpp
// Description : Procedure of display on procitem UI
// ***************************************************************************

// *************************************
//         include files
// *************************************

#include	"StdAfx.h"
#include	<FZ-Include.h>
#include	"ItemDefs.h"

// *************************************
//         macro definition
// *************************************

// *************************************
//         external declaration
// *************************************

// *************************************
//         static variable
// *************************************

// *************************************
//         external variable
// *************************************

// *************************************
//         function reference
// *************************************

// ***************************************************************************
// title         : Display image on procitem UI
// function name : int SetupDisp(ptrProcUnit, subNo, ptrImageWindow)
// parameters    : ProcUnit    *ptrProcUnit;	Pointer to processing unit
//				   int         subNo;			sub number of display
//				   ImageWindow *ptrImageWindow;	pointer to image window
// return value  : Error code
//					NORMAL(0) : exit normally
//					else      : error exit
// ***************************************************************************

int CLASSNAME::SetupDisp(ProcUnit *ptrProcUnit, int subNo, ImageWindow *ptrImageWindow)
{
	IMAGE		*image = ptrProcUnit->GetMeasureImage(0);

	ptrImageWindow->ImageDisp(image);

	if (subNo > 0 && subNo <= 8) {
		ProcUnit *targetUnit = ptrProcUnit->GetInnerUnit(subNo - 1);
		targetUnit->SetupDisp(1, ptrImageWindow);
	}

	return(NORMAL);
}

